import java.awt.*;

import interfaces.AppletBase;
import messages.*;
import consts.Const;

public class ButtonTest extends AppletBase {

  public void init() {
    register();
    setBackground(Color.white);
    add(new Button("Red"));
    add(new Button("Blue"));
  }

  public void receive (AppEventMessage em) {
    try {
      if (em.getType() == Const.DATA) {
	byte[] bkcolor = em.getData();
	if ( bkcolor[0] == 1 )
	  setBackground(Color.red);
        else if ( bkcolor[0] == 2 )
	  setBackground(Color.blue);
	else
	  setBackground(Color.white);
      }
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

  public boolean action(Event event, Object arg) {
    byte[] bkcolor = new byte[2];
    bkcolor[0] = 0;

    if ( event.target instanceof Button ) {
      String backgroundColor = (String) arg;
      if ( backgroundColor.equals("Red") ) {
	bkcolor[0] = 1;
	AppEventMessage em = new AppEventMessage(Const.DATA, bkcolor);
	send(em);
	setBackground(Color.red);
      }
      else if ( backgroundColor.equals("Blue") ) {
	bkcolor[0] = 2;
	AppEventMessage em = new AppEventMessage(Const.DATA, bkcolor);
	send(em);
	setBackground(Color.blue);
      }
      else
	return super.action(event, arg);
      repaint();
      return true;
    }
    else {
      return super.action(event, arg);
    }
  }
}